Name: ca_PolishGrid
Version: 1.82
Release: 1
Source: ca_PolishGrid-1.82.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_PolishGrid-1.82/8a661490.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority PolishGrid

%if %([ -n "http://www.man.poznan.pl/plgrid-ca" ] && echo 1 || echo 0)
URL: http://www.man.poznan.pl/plgrid-ca
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_PolishGrid-1.82

%description
This is the trust anchor for the classic accredited authority PolishGrid.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

